### Function

# ECal util_component_set_x_property

since: 3.34

#### Declaration [src]

    void
    e_cal_util_component_set_x_property (
      ICalComponent* icalcomp,
      const gchar* x_name,
      const gchar* value
    )

#### Description [src]

Sets a value of the first X property named `x_name` in `icalcomp`, if any such already exists, or adds a new property with this name and value. As a special case, if `value` is `NULL`, then removes the first X property named `x_name` from `icalcomp` instead.

Available since: 3.34

#### Parameters

`icalcomp`

  Type: `None`

  An `ICalComponent`.

  The data is owned by the caller of the function.

`x_name`

  Type: `const gchar*`

  Name of the X property.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  A value to set, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.